# norootforbuild

%define _prefix	/usr
%define _SO_nr	1

Name:			libextractor
Summary:		Library to Extract Metadata from Files
Version:		0.5.22
Release:		1.9
License:		GPL
Group:			System/Libraries
URL:			http://www.gnu.org/software/libextractor/
PreReq:			info
BuildRequires:	flac-devel
BuildRequires:	gcc-c++
BuildRequires:	glib-devel
BuildRequires:	gtk2-devel
BuildRequires:	ImageMagick
#BuildRequires:	libffmpeg-devel
BuildRequires:	libgsf-devel
BuildRequires:	libmpeg2-devel
BuildRequires:	libvorbis-devel
%if %suse_version >= 1030
BuildRequires:	libbz2-devel
%endif
BuildRequires:	mDNSResponder-lib
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	qt-devel
BuildRequires:	vorbis-tools
Source:			http://gnunet.org/libextractor/download/%{name}-%{version}.tar.gz
Source90:		%{name}-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

# pmbs ...
BuildRequires:	liboil-0_3-0

%description
Using libextractor, you can extract metadata from files of arbitrary
types. Supported file formats include HTML, PDF, DVI, PS, MP3, OGG,
WAV, JPEG, GIF, PNG, TIFF, RPM, ZIP, TAR, ELF, REAL, RIFF (AVI), MPEG,
QT, and ASF. Also, various additional MIME types are detected.

This release adds support for Adobe Flash (FLV) and Free Lossless Audio
Codec (FLAC) files. The quicktime, ole2, and split extractors were also
improved.

Helper libraries perform the extraction. It is extendable by linking
against external extractors for additional file types.

The goal is to provide developers of indexing tools with a universal
library to obtain simple keywords to match against queries.
libextractor contains a shell command 'extract' that, similar to the
well-known 'file' command, can extract metadata from a file and print
the results to stdout.

The project site is http://savannah.gnu.org/projects/libextractor.

Authos: Christian Grothoff <christian@grothoff.org>

%package -n %{name}%{_SO_nr}
Summary:	Shared libraries for the package libextractor
Group:		System/Libraries

%description -n %{name}%{_SO_nr}
This package contains the shared libraries for the package libextractor.

Authos: Christian Grothoff <christian@grothoff.org>

%package -n %{name}-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Languages/C and C++
Requires:	%{name}%{_SO_nr} = %{version}
Requires:	flac-devel
Requires:	glibc-devel
Requires:	gtk2-devel
#Requires:	libffmpeg-devel
Requires:	libgsf-devel
Requires:	libmpeg2-devel
Requires:	libvorbis-devel
Requires:	libtool
Requires:	zlib-devel
Requires:	python-devel
Requires:	qt-devel

%description -n %{name}-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

Authos: Christian Grothoff <christian@grothoff.org>

%debug_package

%prep
%setup -q -n %{name}-%{version}
#autoreconf -fi

%build
%configure \
	--libdir=%{_prefix}/%{_lib} \
	--mandir=%{_mandir} \
	--with-qt=%{_prefix} \
	--enable-xpdf \
	--enable-exiv2 \
	--enable-ffmpeg=no \
	--enable-printable \
	--enable-static

find . -name Makefile | xargs %__sed -i -e 's|-L/usr/lib|-L/%{_libdir}|g'

%__make 
#%{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/*.la
%__rm %{buildroot}%{_libdir}/%{name}/*.a
%__rm %{buildroot}%{_libdir}/%{name}/*.la

%find_lang %{name}

%post -n %{name}%{_SO_nr} -p /sbin/ldconfig

%postun -n %{name}%{_SO_nr} -p /sbin/ldconfig

%post -n %{name}-devel
%install_info --info-dir=%{_infodir} %{_infodir}/extractor.info.gz

%postun -n %{name}-devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/extractor.info.gz

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc %{_mandir}/man1/*
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so*

%files -n %{name}%{_SO_nr}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{name}-devel
%defattr(-, root, root) 
%doc %{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/info/extractor.info.gz

%changelog
* Tue Mar 10 2009 Carsten Schoene <cs@linux-administrator.com> - 0.5.22-1
- initial import
